Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::NotAGroupObject Exception Reference

`#include <PortableServerC.h>`

List of all members.

## Public Methods
| NotAGroupObject (void)
| NotAGroupObject (const NotAGroupObject &)
| ~NotAGroupObject (void)
NotAGroupObject & | operator= (const NotAGroupObject &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void)
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL_NOT_USED) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL_NOT_USED)
virtual CORBA::TypeCode_ptr | _type (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
NotAGroupObject * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

PortableServer::NotAGroupObject::NotAGroupObject | ( | void |  | ) |

PortableServer::NotAGroupObject::NotAGroupObject | ( | const NotAGroupObject & |  | ) |

PortableServer::NotAGroupObject::~NotAGroupObject | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * PortableServer::NotAGroupObject::_alloc | ( | void |  | ) | `[static]`

PortableServer::NotAGroupObject * PortableServer::NotAGroupObject::_downcast | ( | CORBA::Exception * | exc | ) | `[static]`

void PortableServer::NotAGroupObject::_raise | ( | void |  | ) | `[virtual]`

void PortableServer::NotAGroupObject::_tao_any_destructor | ( | void * | _tao_void_pointer | ) | `[static]`

virtual void PortableServer::NotAGroupObject::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

CORBA::Exception * PortableServer::NotAGroupObject::_tao_duplicate | ( | void |  | ) | const`[virtual]`

virtual void PortableServer::NotAGroupObject::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | const`[virtual]`

virtual CORBA::TypeCode_ptr PortableServer::NotAGroupObject::_type | ( | void |  | ) | const`[virtual]`

NotAGroupObject& PortableServer::NotAGroupObject::operator= | ( | const NotAGroupObject & |  | ) |

The documentation for this exception was generated from the following files:

- PortableServer.pidl
- PortableServerC.h
- PortableServerC.cpp